<template lang='pug'>
mixin prop(name)
  li #[strong.text-info= name+': ']
    block

Example(title='Ribbon Example' :maxState="0")
  template(v-slot:description)
    h5 This is a Ribbon example
    p Click on #[em code] to view and modify its code.

  template(v-slot:interface)
    div #[strong Properties:]
      ul
        +prop("value") the text inside the ribbon
        +prop("position") #[code top-left], #[code top-right], #[code bottom-left], #[code bottom-right].
        | Default is #[code top-right];

  template(v-slot:code)
    template(v-pre).
      .row.justify-content-center.align-items-center.b-param-container
        div.m-4.x-ribbon-example-box
          BaseRibbon(value="top-left" position="top-left")
          BaseRibbon(value="top-right" position="top-right")
          BaseRibbon(value="bottom-left" position="bottom-left")
          BaseRibbon(value="bottom-right" position="bottom-right")

</template>
<script>

import Example from "./AppExample.vue";

export default {
  name: "ExampleRibbon",
  components: { Example }
};

</script>

<style>
.x-ribbon-example-box {
  width: 100%;
  height: 300px;
  border: 1px solid gray;
  display: block;
  position: relative;
}
</style>
